Issue 109586 - Function "TIME()" in Portuguese version is wrong
Summary: Function "TIME()" in Portuguese version is wrong
Status: REOPENED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 3.2
Hardware: Unknown All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo, regression
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-02-24 20:24 UTC by rockenrola
Modified: 2013-08-07 15:14 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description rockenrola 2010-02-24 20:24:10 UTC
The translation for the "TIME(hour, minute, second)" function is "HORA(hora,
minutos, segundos)" and the translation for "HOUR(number)" is "HORA(número)",
which creates two different functions with the same name.

The proper translation for "TIME()" should be "TEMPO()" 

I have confirmed this bug in OO version 3.2 on Windows XP and on OO version
3.1.1 on Ubuntu 9.10
Comment 1 ooo 2010-02-24 21:14:26 UTC
Confirmed for OOo3.2.

@rfernandes: This needs to be fixed for OOo3.2.1 and OOo3.3, entering or editing
existing formulas using these functions will yield in an error in one of these
two cases.

@coni: we may need some check that all translations of function names are unique
within a localization.
Comment 2 rafaella.braconi 2010-02-25 08:48:07 UTC
I am already working on this to avoid further errors in future.... stay tuened...
Comment 3 rafaella.braconi 2010-02-25 08:48:24 UTC
I am already working on this to avoid further errors in future.... stay tuned...
Comment 4 thorsten.ziehm 2010-06-14 15:05:29 UTC
I clean up the open issues for OOo 3.2.1. This release is final and released. Is
this issue still valid? Is something missing or can this issue be closed with
resolved/fixed? Please do so or change the target of this issue accordingly.
Comment 5 rockenrola 2010-06-17 10:59:37 UTC
The bug is still present in v3.2.1 (build 9502). 

How hard can it be to fix this bug?
Comment 6 ooo 2010-06-17 12:05:16 UTC
Not hard at all, the Portuguese l10n team just has to do it and apparently
missed it for OOo3.2.1. As 3.2.1 is released now I retarget this to OOo3.3. I'll
also nominate the issue as 3.3 stopper as one of the two functions isn't usable
now in a Portuguese version.

Note to translators: the two function resource strings in question are

formula source\core\resource\core_resource.src  0       string 
RID_STRLIST_FUNCTION_NAMES      SC_OPCODE_GET_HOUR                      0      
pt      HORA                            2002-02-02 02:02:02
formula source\core\resource\core_resource.src  0       string 
RID_STRLIST_FUNCTION_NAMES      SC_OPCODE_GET_TIME                      0      
pt      HORA                            2002-02-02 02:02:02

The one for SC_OPCODE_GET_TIME should be changed to TEMPO.
Comment 7 uwe.luebbers 2010-06-18 14:50:37 UTC
Adjusted target
Comment 8 rafaella.braconi 2010-06-23 19:03:21 UTC
fixed in Pootle.
Comment 9 rafaella.braconi 2010-06-23 19:05:09 UTC
updating status
Comment 10 binguo 2012-09-03 08:21:40 UTC
The verification of this bug needs Portuguese version build, who has this build, could you please verify this bug to see if it can repro on latest version? thank you.
Comment 11 rockenrola 2012-09-03 11:04:47 UTC
This gets confusing between libreoffice, openoffice, portuguese and portuguese from Brazil. Anyway in libreoffice everything is ok. 

In openoffice, I only tested portuguese from brazil which still has the bug. I didn't test Portuguese from Europe but looking at Poodle it does seem corrected. 

Portuguese: https://translate.apache.org/pt/OOo_34/formula/source/core/resource.po/translate/?unit=10378711

Portuguese (Brazil): https://translate.apache.org/pt_BR/OOo_34/formula/source/core/resource.po/translate/?unit=5902965
Comment 12 Rob Weir 2013-07-30 02:23:24 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.